# wxStringInputStream Class Reference
[Streams]

`#include </home/work/projects/wx/2.9/wx/interface/wx/sstream.h>`

Inheritance diagram for wxStringInputStream:
[legend]

## Detailed Description

This class implements an input stream which reads data from a string.

It supports seeking.

##

Library: wxBase
Category: Streams

## Public Member Functions

| wxStringInputStream (const wxString &s)
| Creates a new read-only stream using the specified string.

List of all members.

## Constructor & Destructor Documentation

wxStringInputStream::wxStringInputStream | ( | const wxString & | s | ) |

Creates a new read-only stream using the specified string.

Note that the string is copied by the stream so if the original string is modified after using this constructor, changes to it are not reflected when reading from stream.

|  | [ top ]